<p>
  Eine weit verbreitete Form ist die
  <b>
    relationale Datenbank
  </b>
  . Bei relationalen
    Datenbanken wird eine Datenbanktabelle durch eine Relation beschrieben.
</p>
<p>
  Andere Formen von Datenbanken sind immer häufiger anzutreffen, darunter
  <b>
    Graphdatenbanken
  </b>
  wie
  <a href="https://de.wikipedia.org/wiki/Neo4j">
    Neo4J
  </a>
  ,
  <b>
    Key-Value-Store Datenbanken
  </b>
  wie
  <a href="https://de.wikipedia.org/wiki/Apache_Cassandra">
    Apache Cassandra
  </a>
  und
  <b>
    dokumentenorientierte Datenbanken
  </b>
  wie
  <a href="https://de.wikipedia.org/wiki/MongoDB">
    MongoDB
  </a>
  .
</p>
<h2>
  Daten in Tabellen
</h2>
<p>
  In diesem Modul betrachten wir vor allem relationale Datenbanken, bei denen eine Datenbank
    aus einer Menge von Tabellen besteht.
    Ein tief gehendes Verständnis von relationalen Datenbanken hilft, die Unterschiede zu
    nicht-relationalen Datenbanken besser einordnen zu können und zu entscheiden, welche
    Datenbank für welchen Anwendungszweck die Geeignetste ist.
</p>
<p>
  <div class="ovk-diagramm">
    <img
      src="{{
        data "domain_root"
      }}/static/Informatik/Datenbanken/AnwendungDBTabelle.svg"
      alt=""
      id="anwendung-db"
    />
    <div style="text-align: center;">
      Eine Webanwendung, die Datenbank, auf die sie zugreift und die
        in der Datenbank gespeicherten Tabellen.
    </div>
  </div>
</p>
<h2>
  Datenbankmanagementsysteme und Datenbankensysteme
</h2>
<p>
  <span class="bold">
    Datenbankmanagementsysteme (DBMS)
  </span>
  sind Programme, mit denen wir
    Datenbanken erstellen und löschen können und die den
    Zugriff auf die Daten ermöglichen. Datenbank und Datenbankmanagementsystem bilden zusammen ein
  <span class="bold">
    Datenbankensystem (DBS)
  </span>
  .
</p>
<p>
  Laut Wikipedia ist das Ziel von Datenbanksystemen:
  <br />
  <div class="alert alert-primary" style="padding-bottom: 1.3em;">
    <div class="ovk-citation">
      "[...] große Datenmengen effizient, widerspruchsfrei
        und dauerhaft zu speichern und benötigte Teilmengen
        in unterschiedlichen, bedarfsgerechten Darstellungsformen
        für Benutzer und Anwendungsprogramme
        bereitzustellen.“
      <cite>
        <a href="https://de.wikipedia.org/wiki/Datenbank">
          https://de.wikipedia.org/wiki/Datenbank
        </a>
      </cite>
    </div>
  </div>
</p>
<p>
  Eingabe, Verarbeitung und Ausgabe von Daten sind der Hauptzweck vieler Programme und die
    Kernkonzepte des EVA-Prinzips, welches wir im Modul Programmierung bereits kennengelernt haben.
    Datenbanksysteme bilden also die Grundlage vieler Anwendungen, die uns im täglichen Leben
    umgeben.
</p>